import request from '@/utils/request'

// 查询工厂月产能定义列表
export function listCapacity(query) {
  return request({
    url: '/aps/capacity/list',
    method: 'get',
    params: query
  })
}

// 查询工厂月产能定义详细
export function getCapacity(id) {
  return request({
    url: '/aps/capacity/' + id,
    method: 'get'
  })
}

// 新增工厂月产能定义
export function addCapacity(data) {
  return request({
    url: '/aps/capacity',
    method: 'post',
    data: data
  })
}

// 修改工厂月产能定义
export function updateCapacity(data) {
  return request({
    url: '/aps/capacity',
    method: 'put',
    data: data
  })
}

// 删除工厂月产能定义
export function delCapacity(id) {
  return request({
    url: '/aps/capacity/' + id,
    method: 'delete'
  })
}
